package db

import (
	"applet/app/db/model"
	"applet/app/utils/logx"
	"xorm.io/xorm"
)

func PlacardRecordCreate(Db *xorm.Engine, args *model.PlacardRecord) (int64, error) {
	return Db.InsertOne(args)
}
func PlacardRecordList(eg *xorm.Engine) (*[]model.PlacardRecord, error) {
	var ord []model.PlacardRecord
	if err := eg.Where("1=1").Desc("time").Limit(10, 0).Find(&ord); err != nil {
		return nil, logx.Error(err)
	}
	if len(ord) == 0 {
		return nil, nil
	}
	return &ord, nil
}
