package model

type UserReturnMoney struct {
	Id             int     `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid            int     `json:"uid" xorm:"default 0 comment('用户id') INT(11)"`
	NextUpdateTime int     `json:"next_update_time" xorm:"default 0 comment('下次更新时间') INT(11)"`
	Money          float64 `json:"money" xorm:"default 0.0000 comment('已返金额') DOUBLE(11,4)"`
	AllMoney       float64 `json:"all_money" xorm:"default 0.0000 comment('累计金额') DOUBLE(11,4)"`
	LeaveMoney     float64 `json:"leave_money" xorm:"default 0.0000 comment('剩余待返金额') DOUBLE(11,4)"`
}
