package zhimeng

import (
	"applet/app/md"
	"applet/app/utils/logx"
	"encoding/json"
)

func GetFourChargeMoney(ak, sk string) (*md.GetChargeMoney, error) {
	args := map[string]interface{}{
		"appkey":     ak,
		"secret_key": sk,
	}
	resp, err := Send("yr_phone", "df_balance", args)
	if err != nil {
		return nil, logx.Warn(err)
	}
	//fmt.Println(string(resp))
	var tmp struct {
		Data *md.GetChargeMoney `json:"data"`
	}
	if err = json.Unmarshal(resp, &tmp); err != nil {
		return nil, logx.Warn("resp: + " + string(resp) + " + err:" + err.Error())
	}
	return tmp.Data, nil
}
