package db

import (
	"applet/app/db/model"
	"applet/app/utils/logx"
	"xorm.io/xorm"
)

//查询记录
func CommCouponBaseList(Db *xorm.Engine) (*model.CommCoupon, error) {
	var CommCouponBaseList model.CommCoupon
	if has, err := Db.Get(&CommCouponBaseList); err != nil || !has {
		return nil, logx.Error(err)
	}
	return &CommCouponBaseList, nil
}

//添加
func CommCouponBaseInsert(Db *xorm.Engine, m *model.CommCoupon) (int64, error) {
	return Db.InsertOne(m)
}

//编辑
func CommCouponBaseUpdate(Db *xorm.Engine, m *model.CommCoupon) (int64, error) {
	return Db.ID(m.Id).AllCols().Update(m)
}
