package db

import (
	"applet/app/db/model"
	"xorm.io/xorm"
)

func DayReturnMoneySettleAt(Db *xorm.Engine, runTime int64) ([]*model.UserReturnMoney, error) {
	perPage := 100
	startPlace := 0
	var o []*model.UserReturnMoney
	err := Db.Where("leave_money>0 and next_update_time<?", runTime).Limit(perPage, startPlace).Find(&o)
	if err != nil {
		return nil, err
	}
	return o, nil
}
func ReturnMoneyReduce(Db *xorm.Engine, runTime int64) ([]*model.UserWaitReturnMoneyFlow, error) {
	perPage := 100
	startPlace := 0
	var o []*model.UserWaitReturnMoneyFlow
	err := Db.Where("is_need_reduce=1 and run_reduce_time<?", runTime).Limit(perPage, startPlace).Find(&o)
	if err != nil {
		return nil, err
	}
	return o, nil
}
func WaitReturnMoneyFlowUpdateIsNeedReduce(sess *xorm.Session, pvd, ordId string, isNeedReduce int) error {
	var tmp = &model.UserWaitReturnMoneyFlow{IsNeedReduce: isNeedReduce}
	_, err := sess.Where("pvd=? and ord_id=?", pvd, ordId).Cols("is_need_reduce").Update(tmp)
	if err != nil {
		return err
	}
	return nil
}
func WaitReturnMoneyFlowUpdate(sess *xorm.Session, data *model.UserWaitReturnMoneyFlow) error {
	_, err := sess.Where("id=?", data.Id).AllCols().Update(data)
	if err != nil {
		return err
	}
	return nil
}
func WaitReturnMoneyFlowUpdateIsNeedReduceEg(eg *xorm.Engine, pvd, ordId string, isNeedReduce int) error {
	var tmp = &model.UserWaitReturnMoneyFlow{IsNeedReduce: isNeedReduce}
	_, err := eg.Where("pvd=? and ord_id=?", pvd, ordId).Cols("is_need_reduce").Update(tmp)
	if err != nil {
		return err
	}
	return nil
}
