package model

type DealOrderUser struct {
	Id         int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Type       string `json:"type" xorm:"default '' comment('类型  activity_order活动订单 oil_order加油订单') index VARCHAR(100)"`
	Uid        int    `json:"uid" xorm:"default 0 comment('用户id') index INT(11)"`
	Time       int    `json:"time" xorm:"default 0 comment('写入时间') index INT(11)"`
	EndTime    int    `json:"end_time" xorm:"default 0 comment('结束时间') index INT(11)"`
	RelationId int64  `json:"relation_id" xorm:"default 0 comment('渠道id') index BIGINT(12)"`
	Data       string `json:"data" xorm:"comment('拓展用') TEXT"`
}
