package model

type UserWaitReturnMoneyFlow struct {
	Id            int     `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid           int     `json:"uid" xorm:"default 0 comment('用户id') INT(11)"`
	Money         float64 `json:"money" xorm:"default 0.0000 comment('已返金额') DOUBLE(11,4)"`
	LeaveMoney    float64 `json:"leave_money" xorm:"default 0.0000 comment('待返金额') DOUBLE(11,4)"`
	BeforeMoney   float64 `json:"before_money" xorm:"default 0.0000 comment('变更前') DOUBLE(11,4)"`
	AfterMoney    float64 `json:"after_money" xorm:"default 0.0000 comment('变更后') DOUBLE(11,4)"`
	Time          int     `json:"time" xorm:"default 0 INT(11)"`
	OrdType       string  `json:"ord_type" xorm:"default '' comment('来源') VARCHAR(10)"`
	OrdId         string  `json:"ord_id" xorm:"default '' VARCHAR(255)"`
	Title         string  `json:"title" xorm:"default '' VARCHAR(255)"`
	Pvd           string  `json:"pvd" xorm:"default '' VARCHAR(50)"`
	Data          string  `json:"data" xorm:"TEXT"`
	Type          int     `json:"type" xorm:"default 0 comment('0收入,1支出') INT(1)"`
	IsNeedReduce  int     `json:"is_need_reduce" xorm:"default 0 comment('是否需要扣除 0否 1是') INT(1)"`
	RunTime       int     `json:"run_time" xorm:"default 0 INT(11)"`
	RunReduceTime int     `json:"run_reduce_time" xorm:"default 0 INT(11)"`
}
