package md

type InsertRegionalAgentOrdBelongData struct {
	Uid           int     `json:"uid"`
	IsOpen        int     `json:"is_open"`
	Pvd           string  `json:"pvd"`
	CommPvd       string  `json:"comm_pvd"`
	Commission    string  `json:"commission"`
	Status        string  `json:"status"`
	OrderId       int64   `json:"order_id"`
	RegionRate    float64 `json:"region_rate"`
	RegionSubRate float64 `json:"region_sub_rate"`
	GlobalRate    float64 `json:"global_rate"`
}

type InsertCapitalPoolOrdBelongData struct {
	Uid             string `json:"uid" remark:用户id`
	Pvd             string `json:"pvd" remark:订单渠道：自营，导购，o2o。。。。`
	OrdId           string `json:"ord_id" remark:订单id`
	Commission      string `json:"commission" remark:订单总佣金`
	CommissionType  string `json:"commission_type" remark:佣金类型（CNY，虚拟币1Id，虚拟币2Id）`
	CapitalPoolRate string `json:"capital_pool_rate" remark:资金池存入比例`
	DepositValue    string `json:"deposit_value" remark:存入金额`
	Price           string `json:"price"`
	PriceValue      string `json:"price_value"`
}
